RUDOF(1)

NAME
rudof convert - Convert between different Data modeling technologies

SYNOPSIS
rudof convert [OPTIONS] --input-mode <Input mode> --source-file <Source file name> --export-mode <Result mode>

DESCRIPTION
Convert between different Data modeling technologies

OPTIONS

-c, --config <Path to config file>

-m, --input-mode <Input mode>

    [possible values: shacl, shex, dctap]

--force-overwrite

-s, --source-file <Source file name>

-f, --format <Input file format>

    [default: shexc] [possible values: csv, shexc, shexj, turtle]

-r, --result-format <Result format>

    [default: default] [possible values: default, internal, json, shexc, shexj, turtle, plantuml, html, svg, png]

-o, --output-file <Output file name, default = terminal>

-t, --target-folder <Target folder>

-l, --shape-label <shape label (default = START)>

--reader-mode <RDF Reader mode>

    RDF Reader mode [default: strict] [possible values: lax, strict]

-x, --export-mode <Result mode>

    [possible values: sparql, shex, uml, html]

-h, --help

    Print help